Ondersteuning » Code oplossingen gezocht » Fout in script loader

  • Er verschijnt regelmatig het volgende bericht in de PHP foutlog. Helaas lukt het me niet om de fout te lokaliseren. Ik kan ook geen mogelijkheid ontdekken om ergens in de code een melding naar de log te schrijven die duidelijk maakt of het gaat om het thema of dat een plugin de schuldige is.
    Wel is me duidelijk dat de globale variabele $wp_locale niet is geïnitialiseerd.

    [28-Aug-2022 09:40:13 UTC] PHP Warning:  Attempt to read property "month" on null in /var/www/eufort-sokolniki/wordpress/current/wp-includes/script-loader.php on line 1857
    [28-Aug-2022 09:40:13 UTC] PHP Fatal error:  Uncaught TypeError: array_values(): Argument #1 ($array) must be of type array, null given in /var/www/eufort-sokolniki/wordpress/current/wp-includes/script-loader.php:1857
    Stack trace:
    #0 /var/www/eufort-sokolniki/wordpress/current/wp-includes/script-loader.php(1857): array_values()
    #1 /var/www/eufort-sokolniki/wordpress/current/wp-includes/class-wp-hook.php(307): wp_localize_jquery_ui_datepicker()
    #2 /var/www/eufort-sokolniki/wordpress/current/wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
    #3 /var/www/eufort-sokolniki/wordpress/current/wp-includes/plugin.php(476): WP_Hook->do_action()
    #4 /var/www/eufort-sokolniki/wordpress/current/wp-includes/script-loader.php(2156): do_action()
    #5 /var/www/eufort-sokolniki/wordpress/current/wp-includes/class-wp-customize-manager.php(454): wp_enqueue_scripts()
    #6 /var/www/eufort-sokolniki/wordpress/current/wp-includes/class-wp-customize-manager.php(551): WP_Customize_Manager->wp_die()
    #7 /var/www/eufort-sokolniki/wordpress/current/wp-includes/class-wp-hook.php(307): WP_Customize_Manager->setup_theme()
    #8 /var/www/eufort-sokolniki/wordpress/current/wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()
    #9 /var/www/eufort-sokolniki/wordpress/current/wp-includes/plugin.php(476): WP_Hook->do_action()
    #10 /var/www/eufort-sokolniki/wordpress/current/wp-settings.php(530): do_action()
    #11 /var/www/eufort-sokolniki/wordpress/current/wp-config.php(76): require_once('...')
    #12 /var/www/eufort-sokolniki/wordpress/current/wp-load.php(50): require_once('...')
    #13 /var/www/eufort-sokolniki/wordpress/current/wp-blog-header.php(13): require_once('...')
    #14 /var/www/eufort-sokolniki/wordpress/current/index.php(17): require('...')
    #15 {main}
      thrown in /var/www/eufort-sokolniki/wordpress/current/wp-includes/script-loader.php on line 1857

    Heeft iemand een idee hoe ik de fout kan achterhalen?

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

2 reacties aan het bekijken - 1 tot 2 (van in totaal 2)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Draai je toevallig een heel recente PHP versie? PHP 8.1 of PHP 8.0? Ik vermoed dat er een plugin of thema niet volledig compatibel is. Kijk eens of je nog op PHP 7.4 kan draaien en of dezelfde foutmeldingen er nog bijkomen in de logs.

    Thread starter martenw

    (@martenw)

    Bedankt Jeroen,
    Het systeem draait al geruime tijd met PHP versie 8+
    Ik ga het proberen met 7.4.

2 reacties aan het bekijken - 1 tot 2 (van in totaal 2)